Add compile-time option "qgis-server-only"
Assignee:

Category: QGIS Server

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 14624
Description

Actually compile qgis for use as a qgis-server require to install many libraries absolutely unuseful like the QTWEBKIT.

In some OS like redHat there is really difficult to retrieve some libraries, and if the libraries missing are libraries that are unusefult for

qgis-server.

An option at compile-time like "qgis-server-only" will allow to use the qgis-server more easily in many OS.

Associated revisions

Revision 8a2ea36a - 2012-01-09 12:43 AM - Jiirgen Fischer

[FEATURE] make desktop build optional (but default; fixes #4756)

History

#1 - 2012-01-06 10:06 AM - Paolo Cavallini

- Assignee deleted (Paolo Cavallini)

#2 - 2012-01-08 03:44 PM - Jiirgen Fischer
- Status changed from Open to Closed
- % Done changed from 0 to 100

Fixed in changeset commit:"8a2ea36a6e5c114fbe4e77d35729fadefabca8d1".

#3 - 2012-01-09 05:29 AM - aperi2007 -

- Assignee set to Paolo Cavallini

| tested it.

Now it don't ask no more for the QTWEBKIT.
But it ask for the FastCGil library.

Unfortunately not all the server web can use it.
I'm using tomcat (not apache).

And it don't allow the use of FastCGl.

| know FastCGi is a library to speedup the execution.
In the standars web server.
But Tomcat is a special web-server that has inside a mechanism like that of the FastCGl.
Infact the difference between a CGl and a FastCGl is that the CGl startup on every request the environment where run the
executable. FastCGI make it persistent in memory speeding up so the startup of environmnet (is just started).

Tomcat work with a similar mechanism, also it don't use the FastCGil library.

So | guess should be better if the FastCGl was an optional parameter.
So even the webserver that cannot use the FastCGl could try to use the qgis-server.

Thx,

Andrea.

#4 - 2012-01-09 05:53 AM - Juirgen Fischer

aperi2007 - wrote:

Now it don't ask no more for the QTWEBKIT.
But it ask for the FastCGl library.

mapserver will not work without libfcgi, but mapserver can still be run in CGl and FastCGI mode.

#5 - 2012-01-09 07:20 AM - Paolo Cavallini
- Assignee deleted (Paolo Cavallini)

#6 - 2012-01-09 07:21 AM - Paolo Cavallini
- Status changed from Closed to Open

So fastcgi is necessary for compilation, even if not used because the server will run under Tomcat?

#7 - 2012-01-09 07:42 AM - Giovanni Manghi

Paolo Cavallini wrote:

So fastcgi is necessary for compilation, even if not used because the server will run under Tomcat?

as far as | understand qgis-server is fast-cgi only, (umn) mapserver can be run as cgi and fastcgi.

#8 - 2012-01-09 08:12 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

Paolo Cavallini wrote:

So fastcgi is necessary for compilation, even if not used because the server will run under Tomcat?
yes.
